## coinst 1.01

=== Makefile ===
VERSION=1.01
COINST=coinst


OCAMLC=ocamlfind ocamlc
OCAMLOPT=ocamlfind ocamlopt
OCAMLDEP=ocamldep

OBJS = util.cmx common.cmx dgraph.cmx solver.cmx api.cmx deb_lib.cmx rpm_lib.cmx repository.cmx quotient.cmx conflicts.cmx graph.cmx main.cmx
COMPFLAGS=-package unix,str
OPTLINKFLAGS=$(COMPFLAGS) -linkpkg

all: $(COINST)

$(COINST): $(OBJS)
	$(OCAMLOPT) -o $@  $(OPTLINKFLAGS) $^ $(LINKFLAGS)

$(COINST).byte: $(OBJS:.cmx=.cmo)
	$(OCAMLC) -o $@  $(OPTLINKFLAGS) $^ $(LINKFLAGS)

clean::
	rm -f $(COINST)

#####

clean::
	find . -regex ".*\\.\(cm[oix]\|o\)" | xargs rm -f

.SUFFIXES: .cmo .cmi .cmx .ml .mli .mly .mll .idl .o .c

.ml.cmx:
	$(OCAMLOPT) $(OPTCOMPFLAGS) $(COMPFLAGS) -c $<

.ml.cmo:
	$(OCAMLC) $(BYTECOMPFLAGS) $(COMPFLAGS) -c $<

.mli.cmi:
	$(OCAMLC) $(COMPFLAGS) -c $<

.idl.ml:
	$(OCAMLIDL) $<

.mly.ml:
	$(OCAMLYACC) $<

.mly.mli:
	$(OCAMLYACC) $<

.mll.ml:
	$(OCAMLLEX) $<

.c.o:
	$(OCAMLC) -ccopt "-o $@" $(COMPFLAGS) -ccopt "$(CFLAGS)" -c $<

depend:
	$(OCAMLDEP) $(DEPFLAGS) *.ml *.mli > .depend

include .depend

####

release:
	darcs dist -d coinst-$(VERSION)

=== debian/changelog ===
coinst (1.01-2) unstable; urgency=low

  * Rename patch clean_viewer to make-clean, also clean coinst.byte.
  * debian/rules: build bytecode on non-native architectures (closes: #656730)

 -- Ralf Treinen <treinen@debian.org>  Sat, 21 Jan 2012 21:58:07 +0100

coinst (1.01-1) unstable; urgency=low

  * Initial release (closes: #655395)

 -- Ralf Treinen <treinen@debian.org>  Sun, 01 Jan 2012 16:54:35 +0100

=== debian/control ===
Source: coinst
Section: devel
Priority: extra
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>
Build-Depends: debhelper (>= 7.0.50~), dh-ocaml (>= 0.9~),
 ocaml-findlib,
 ocaml-nox (>= 3.11.1-3~),
# needed for the viewer:
 js-of-ocaml, libcairo-ocaml-dev
Standards-Version: 3.9.2
Homepage: http://coinst.irill.org
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/coinst.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/coinst.git

Package: coinst
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Recommends: coinst-viewer, dot
Description: computes the co-installability kernel of a deb or RPM repository
 This package is useful when you are interested in analyzing
 co-installability of packages in a large package repository.  A set
 of packages is called co-installable if it can be extended to a set
 that satisfies all inter-package relations (dependencies, conflicts,
 etc.).
 .
 This tool reduces a repository to a much smaller one, its so-called
 co-installability  kernel, that behaves exactly the same as far as
 co-installability of package is concerned. This is achieved by
 - dropping all relations that are not relevant for this purpose
 - identifying all packages that behave the same.
 The kernel is typically orders of magnitude smaller than the original
 repository.

Package: coinst-viewer
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Recommends: coinst
Description: viewer for co-installability kernels generated by coinst
 This package is useful when you are interested in analyzing
 co-installability of packages in a large package repository.
 It contains a custom viewer for co-installability kernels 
 generated by the coinst tool.

=== debian/rules ===
#!/usr/bin/make -f

OPTCOMPILER=/usr/bin/ocamlopt

%:
	dh $@ --with ocaml

override_dh_auto_build:
	if [ -x $(OPTCOMPILER) ]; then \
                $(MAKE);\
		cd viewer;\
		make coinst_viewer;\
        else\
		$(MAKE) coinst.byte;\
		ln coinst.byte coinst;\
		cd viewer;\
		make coinst_viewer.byte;\
		ln coinst_viewer.byte coinst_viewer;\
        fi

override_dh_auto_clean:
	make clean
	cd viewer && make clean

## coinst 1.9.1

=== Makefile ===
--- 
+++ 
@@ -1,25 +1,44 @@
 VERSION=1.01
 COINST=coinst
-
+UPGRADE=coinst-upgrades
+TRANS=comigrate
 
 OCAMLC=ocamlfind ocamlc
 OCAMLOPT=ocamlfind ocamlopt
 OCAMLDEP=ocamldep
+OCAMLYACC=ocamlyacc
+OCAMLLEX=ocamllex
 
-OBJS = util.cmx common.cmx dgraph.cmx solver.cmx api.cmx deb_lib.cmx rpm_lib.cmx repository.cmx quotient.cmx conflicts.cmx graph.cmx main.cmx
-COMPFLAGS=-package unix,str
+TASK = bytearray_stubs.o bytearray.cmx task_stubs.o task.cmx
+SVG=viewer/scene.cmx viewer/dot_parser.cmx viewer/dot_lexer.cmx \
+    viewer/dot_graph.cmx viewer/dot_render.cmx viewer/scene_svg.cmx \
+    viewer/dot_file.cmx
+OBJS = ptset.cmx util.cmx file.cmx debug.cmx common.cmx cache.cmx layout.cmx \
+       solver.cmx api.cmx deb_lib.cmx rpm_lib.cmx \
+       repository.cmx quotient.cmx conflicts.cmx graph.cmx coinst_common.cmx
+COMPFLAGS=-package unix,str,bigarray,cudf -g -I viewer
 OPTLINKFLAGS=$(COMPFLAGS) -linkpkg
 
-all: $(COINST)
+OCAMLDEP=ocamlfind ocamldep
+DEPFLAGS = -package js_of_ocaml,js_of_ocaml.syntax -syntax camlp4o -I viewer
 
-$(COINST): $(OBJS)
+all: $(COINST) $(UPGRADE) $(TRANS)
+
+$(COINST): $(OBJS) cudf_lib.cmx coinst_json.cmx coinst.cmx
 	$(OCAMLOPT) -o $@  $(OPTLINKFLAGS) $^ $(LINKFLAGS)
 
-$(COINST).byte: $(OBJS:.cmx=.cmo)
+$(COINST).byte: $(OBJS:.cmx=.cmo) cudf_lib.cmo coinst.cmo
 	$(OCAMLC) -o $@  $(OPTLINKFLAGS) $^ $(LINKFLAGS)
 
+
+$(UPGRADE): $(OBJS) $(TASK) $(SVG) upgrade_common.cmx upgrade.cmx upgrade_main.cmx
+	$(OCAMLOPT) -o $@  $(OPTLINKFLAGS) $^ $(LINKFLAGS)
+
+$(TRANS): $(OBJS) $(TASK) $(SVG) update_data.cmx upgrade_common.cmx upgrade.cmx horn.cmx transition.cmx
+	$(OCAMLOPT) -o $@  $(OPTLINKFLAGS) $^ $(LINKFLAGS)
+
 clean::
-	rm -f $(COINST)
+	rm -f $(COINST) $(UPGRADE) $(TRANS)
 
 #####
 
@@ -52,8 +71,9 @@
 .c.o:
 	$(OCAMLC) -ccopt "-o $@" $(COMPFLAGS) -ccopt "$(CFLAGS)" -c $<
 
-depend:
-	$(OCAMLDEP) $(DEPFLAGS) *.ml *.mli > .depend
+depend: viewer/dot_parser.ml viewer/dot_lexer.ml
+	ls *.ml *.mli viewer/*.ml viewer/*.mli | \
+        xargs $(OCAMLDEP) $(DEPFLAGS) > .depend
 
 include .depend

=== viewer/Makefile ===

OCAMLC=ocamlfind ocamlc
OCAMLOPT=ocamlfind ocamlopt
OCAMLDEP=ocamlfind ocamldep
OCAMLYACC=ocamlyacc
OCAMLLEX=ocamllex

COMPFLAGS=-package str,cairo.lablgtk2,js_of_ocaml,js_of_ocaml.syntax -syntax camlp4o
DEPFLAGS=$(COMPFLAGS)

GENERATED=dot_parser.ml dot_lexer.ml
OBJS=scene.cmx scene_extents.cmx viewer_common.cmx viewer.cmx \
     dot_file.cmx dot_parser.cmx dot_lexer.cmx dot_graph.cmx dot_render.cmx \
     main.cmx
CONVERTER=scene.cmx scene_extents.cmx scene_json.cmx \
     dot_file.cmx dot_parser.cmx dot_lexer.cmx dot_graph.cmx dot_render.cmx \
     converter.cmx
OPTLINKFLAGS=-package str,cairo.lablgtk2 -linkpkg

JSOBJS=scene.cmo viewer_common.cmo viewer_js.cmo
LINKFLAGS=-package js_of_ocaml -linkpkg

all: coinst_viewer jsviewer.js coinst_converter

coinst_viewer: $(OBJS)
	$(OCAMLOPT) -o $@  $(OPTLINKFLAGS) $^

coinst_converter: $(CONVERTER)
	$(OCAMLOPT) -o $@  $(OPTLINKFLAGS) $^

jsviewer.js: jsviewer.byte
	js_of_ocaml $^ -pretty

jsviewer.byte: $(JSOBJS)
	$(OCAMLC) -o $@ $(LINKFLAGS) $^

realclean:: clean
	rm -f dot_parser.ml dot_parser.mli dot_lexer.ml

clean::
	rm -f coinst_converter coinst_viewer
	rm -f jsviewer.js jsviewer.byte

#####

clean::
	find . -regex ".*\\.\(cm[oix]\|o\)" | xargs rm -f

%.cmx: %.ml
	$(OCAMLOPT) $(OPTCOMPFLAGS) $(COMPFLAGS) -c $<

%.cmi: %.mli
	$(OCAMLC) $(COMPFLAGS) -c $<

%.cmo: %.ml
	$(OCAMLC) $(COMPFLAGS) -c $<

%.ml: %.mly
	$(OCAMLYACC) $<

%.mli: %.mly
	$(OCAMLYACC) $<

%.ml: %.mll
	$(OCAMLLEX) $<

depend: $(GENERATED)
	find . -regex ".*\\.mli?" | xargs \
	$(OCAMLDEP) $(DEPFLAGS) $$i \
	> .depend

include .depend

=== debian/changelog ===
coinst (1.9.1-1) unstable; urgency=low

  * Update debian/gbp.conf to automatically filter out the "Talks"
    directory upon import using git-import-orig.
  * Import new upstream (minor) release
    - Remove no longer needed 0001-Fixed-to-compile-with-OCaml-4.01.patch 
    - Update patch make_byte 

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 17 Jan 2014 22:51:09 +0100

coinst (1.9.0-1) unstable; urgency=low

  [ Ralf Treinen ]
  * debian/rules: use $(OCAML_HAVE_OCAMLOPT) to distinguish native from
    non-native archs (thanks to Mehdi Dogguy for the hint!)

  [ Mehdi Dogguy ]
  * Update debian/gbp.conf to automatically filter "migration-reports"
    and "snapshots" directories upon import using git-import-orig.
  * Import new upstream release
    - Update debian/patches/make_clean
    - Update debian/patches/make_coinst
    - Update debian/patches/make_viewer_byte in order to build coinst_converter.byte
      as well on bytecode architectures.
    - Add debian/patches/make_byte
    - Add debian/patches/Fixed-to-compile-with-OCaml-4.01.patch (from upstream)
  * Install comigrate and coinst-upgrades utilities.
  * Install coinst_converter and jsviewer.js in the coinst-viewer package
    (Closes: #665447).
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Add libcudf-ocaml-dev to Build-Depends.

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 16 Jan 2014 23:44:57 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: devel
 Priority: extra
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Ralf Treinen <treinen@debian.org>
+Uploaders: Ralf Treinen <treinen@debian.org>, Mehdi Dogguy <mehdi@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), dh-ocaml (>= 0.9~),
  ocaml-findlib,
  ocaml-nox (>= 3.11.1-3~),
+ libcudf-ocaml-dev,
 # needed for the viewer:
  js-of-ocaml, libcairo-ocaml-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://coinst.irill.org
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/coinst.git
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/coinst.git

## coinst 1.9.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=1.01
+VERSION=1.9.2
 COINST=coinst
 UPGRADE=coinst-upgrades
 TRANS=comigrate
@@ -16,34 +16,52 @@
 OBJS = ptset.cmx util.cmx file.cmx debug.cmx common.cmx cache.cmx layout.cmx \
        solver.cmx api.cmx deb_lib.cmx rpm_lib.cmx \
        repository.cmx quotient.cmx conflicts.cmx graph.cmx coinst_common.cmx
-COMPFLAGS=-package unix,str,bigarray,cudf -g -I viewer
+COMPFLAGS=-package unix,str,bigarray,cudf -g -I viewer -annot -bin-annot -safe-string
 OPTLINKFLAGS=$(COMPFLAGS) -linkpkg
+BYTELINKFLAGS=$(OPTLINKFLAGS) -dllib -lbytearray_stubs -cclib -lbytearray_stubs -dllib -ltask_stubs -cclib -ltask_stubs
 
 OCAMLDEP=ocamlfind ocamldep
 DEPFLAGS = -package js_of_ocaml,js_of_ocaml.syntax -syntax camlp4o -I viewer
 
 all: $(COINST) $(UPGRADE) $(TRANS)
+opt: all
+byte: dllbytearray_stubs.so dlltask_stubs.so $(COINST).byte $(UPGRADE).byte $(TRANS).byte
+
+dllbytearray_stubs.so: bytearray_stubs.o
+	ocamlmklib -o bytearray_stubs $^
+
+dlltask_stubs.so: task_stubs.o
+	ocamlmklib -o task_stubs $^
 
 $(COINST): $(OBJS) cudf_lib.cmx coinst_json.cmx coinst.cmx
 	$(OCAMLOPT) -o $@  $(OPTLINKFLAGS) $^ $(LINKFLAGS)
 
-$(COINST).byte: $(OBJS:.cmx=.cmo) cudf_lib.cmo coinst.cmo
-	$(OCAMLC) -o $@  $(OPTLINKFLAGS) $^ $(LINKFLAGS)
+$(COINST).byte: $(OBJS:.cmx=.cmo) cudf_lib.cmo coinst_json.cmo coinst.cmo
+	$(OCAMLC) -o $@  $(BYTELINKFLAGS) $^ $(LINKFLAGS)
+	cp $@ $(COINST)
 
 
 $(UPGRADE): $(OBJS) $(TASK) $(SVG) upgrade_common.cmx upgrade.cmx upgrade_main.cmx
 	$(OCAMLOPT) -o $@  $(OPTLINKFLAGS) $^ $(LINKFLAGS)
 
+$(UPGRADE).byte: $(OBJS:.cmx=.cmo) $(TASK:.cmx=.cmo) $(SVG:.cmx=.cmo)  upgrade_common.cmo upgrade.cmo upgrade_main.cmo
+	$(OCAMLC) -o $@  $(BYTELINKFLAGS) $^ $(LINKFLAGS)
+	cp $@ $(UPGRADE)
+
 $(TRANS): $(OBJS) $(TASK) $(SVG) update_data.cmx upgrade_common.cmx upgrade.cmx horn.cmx transition.cmx
 	$(OCAMLOPT) -o $@  $(OPTLINKFLAGS) $^ $(LINKFLAGS)
 
+$(TRANS).byte: $(OBJS:.cmx=.cmo) $(TASK:.cmx=.cmo) $(SVG:.cmx=.cmo) update_data.cmo upgrade_common.cmo upgrade.cmo horn.cmo transition.cmo
+	$(OCAMLC) -o $@  $(BYTELINKFLAGS) $^ $(LINKFLAGS)
+	cp $@ $(TRANS)
+
 clean::
-	rm -f $(COINST) $(UPGRADE) $(TRANS)
+	rm -f $(COINST) $(UPGRADE) $(TRANS) $(COINST).byte $(UPGRADE).byte $(TRANS).byte
 
 #####
 
 clean::
-	find . -regex ".*\\.\(cm[oix]\|o\)" | xargs rm -f
+	find . -regex ".*\\.\(cm[toix].?\|o\|annot\)" | xargs rm -f
 
 .SUFFIXES: .cmo .cmi .cmx .ml .mli .mly .mll .idl .o .c

=== viewer/Makefile ===
--- 
+++ 
@@ -21,12 +21,20 @@
 LINKFLAGS=-package js_of_ocaml -linkpkg
 
 all: coinst_viewer jsviewer.js coinst_converter
+opt: all
+byte: coinst_viewer.byte jsviewer.js coinst_converter.byte
 
 coinst_viewer: $(OBJS)
 	$(OCAMLOPT) -o $@  $(OPTLINKFLAGS) $^
 
+coinst_viewer.byte: $(OBJS:.cmx=.cmo)
+       $(OCAMLC) -o $@  $(OPTLINKFLAGS) $^
+
 coinst_converter: $(CONVERTER)
 	$(OCAMLOPT) -o $@  $(OPTLINKFLAGS) $^
+
+coinst_converter.byte: $(CONVERTER:.cmx=.cmo)
+	$(OCAMLC) -o $@  $(OPTLINKFLAGS) $^
 
 jsviewer.js: jsviewer.byte
 	js_of_ocaml $^ -pretty
@@ -38,13 +46,14 @@
 	rm -f dot_parser.ml dot_parser.mli dot_lexer.ml
 
 clean::
-	rm -f coinst_converter coinst_viewer
+	rm -f coinst_converter coinst_viewer coinst_viewer.byte coinst_converter.byte
 	rm -f jsviewer.js jsviewer.byte
+	rm -f dot_lexer.ml dot_parser.ml
 
 #####
 
 clean::
-	find . -regex ".*\\.\(cm[oix]\|o\)" | xargs rm -f
+	find . -regex ".*\\.\(cm[toix].?\|o\|annot\)" | xargs rm -f
 
 %.cmx: %.ml
 	$(OCAMLOPT) $(OPTCOMPFLAGS) $(COMPFLAGS) -c $<

=== debian/changelog ===
coinst (1.9.2-1) unstable; urgency=medium

  * New upstream release:
    - Avoid ambiguous output when package has multiple versions
      (Closes: #759476)
    - Add a new line before "LARGER NON-INSTALLABLE SETS"
      (Closes: #759474)
    - Use http.debian.net and allow user to specify source mirror by
      passing --source flag (Closes: #736910)
  * Remove all patches, integrated upstream.
  * Fix space/tab issue in viewer/Makefile
    - add debian/patches/0001-Fix-a-space-tab-issue-in-Makefile.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 12 Feb 2016 00:12:30 +0100

coinst (1.9.1-2) unstable; urgency=medium

  * Fix FTBFS with OCaml 4.02.3
    - Add Ptset.of_list, Ptset.Big.of_list and Ptset.BigPos.of_list
    - Add camlp4 as a build dependency

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 18 Oct 2015 17:04:40 +0200

## coinst 1.9.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=1.9.2
+VERSION=1.9.3
 COINST=coinst
 UPGRADE=coinst-upgrades
 TRANS=comigrate

=== Proofs/Makefile ===

OBJS=Po.vo Lattice.vo Relation.vo coinst.vo

all: $(OBJS)

########################################################################
# Coq proofs

COQC=coqc

%.vo : %.v
	$(COQC) $<

######################################################################
# Dependencies

COQDEP=coqdep

depend:
	$(COQDEP) *.v > .depend

include .depend

=== viewer/Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 	$(OCAMLOPT) -o $@  $(OPTLINKFLAGS) $^
 
 coinst_viewer.byte: $(OBJS:.cmx=.cmo)
-       $(OCAMLC) -o $@  $(OPTLINKFLAGS) $^
+	$(OCAMLC) -o $@  $(OPTLINKFLAGS) $^
 
 coinst_converter: $(CONVERTER)
 	$(OCAMLOPT) -o $@  $(OPTLINKFLAGS) $^

=== debian/changelog ===
coinst (1.9.3-5) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload

  [ Bastian Germann ]
  * Drop coinst-viewer (Closes: #967294)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 27 Aug 2023 07:16:17 +0200

coinst (1.9.3-4) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Bump Standards-Version to 4.6.2

  [ Debian Janitor ]
  * Use versioned copyright format URI.
  * Update watch file format version to 4.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>.
  * debian/watch: Use GitHub /tags rather than /releases page.

 -- Stéphane Glondu <glondu@debian.org>  Tue, 08 Aug 2023 09:31:46 +0200

coinst (1.9.3-3) unstable; urgency=medium

  * Team upload
  * Port jsviewer.js to modern js_of_ocaml

 -- Stéphane Glondu <glondu@debian.org>  Wed, 19 Aug 2020 15:07:12 +0200

coinst (1.9.3-2) unstable; urgency=medium

  * Team upload
  * Fix FTBFS with OCaml 4.08.1 (Closes: #956556)
  * Update Vcs-* to point to salsa
  * Update debian/watch
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Thu, 13 Aug 2020 15:46:28 +0200

coinst (1.9.3-1) unstable; urgency=medium

  * New upstream release
  * Remove patch, integrated upstream.

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 13 Feb 2016 14:42:20 +0100

=== debian/control ===
Source: coinst
Section: devel
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>, Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-ocaml,
 ocaml-findlib,
 ocaml,
 libcudf-ocaml-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://coinst.irill.org
Vcs-Browser: https://salsa.debian.org/ocaml-team/coinst
Vcs-Git: https://salsa.debian.org/ocaml-team/coinst.git

Package: coinst
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Recommends: dot
Description: computes the co-installability kernel of a deb or RPM repository
 This package is useful when you are interested in analyzing
 co-installability of packages in a large package repository.  A set
 of packages is called co-installable if it can be extended to a set
 that satisfies all inter-package relations (dependencies, conflicts,
 etc.).
 .
 This tool reduces a repository to a much smaller one, its so-called
 co-installability  kernel, that behaves exactly the same as far as
 co-installability of package is concerned. This is achieved by
 - dropping all relations that are not relevant for this purpose
 - identifying all packages that behave the same.
 The kernel is typically orders of magnitude smaller than the original
 repository.

=== debian/watch ===
version=4
https://github.com/vouillon/coinst/tags .*/archive/refs/tags/v?([0-9.]+)\.tar\.gz
